Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.functions.xmldb
Class XMLDBCreateCollection

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.BasicFunction
                      org.exist.xquery.functions.xmldb.XMLDBAbstractCollectionManipulator
                          org.exist.xquery.functions.xmldb.XMLDBCreateCollection

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class XMLDBCreateCollection
extends XMLDBAbstractCollectionManipulator

Author:
  wolf

Field Summary
`static FunctionSignature` | `signature`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`XMLDBCreateCollection(XQueryContext context)`

Method Summary
`Sequence` | `evalWithCollection(Collection collection, Sequence[] args, Sequence contextSequence)`

Methods inherited from class org.exist.xquery.functions.xmldb.XMLDBAbstractCollectionManipulator
`eval`

Methods inherited from class org.exist.xquery.BasicFunction
`eval`

Methods inherited from class org.exist.xquery.Function
`analyze, createFunction, dump, getArgument, getArgumentCount, getArguments, getASTNode, getCardinality, getDependencies, getName, getParent, getSignature, isCalledAs, returnsType, setArguments, setASTNode, setParent, setPrimaryAxis, toString`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, resetState, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setContextDocSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Field Detail

### signature

    public static final FunctionSignature signature

Constructor Detail

### XMLDBCreateCollection

    public XMLDBCreateCollection(XQueryContext context)

Parameters:
  `context` -

Method Detail

### evalWithCollection

    public Sequence evalWithCollection(Collection collection,
                                       Sequence[] args,
                                       Sequence contextSequence)
                                throws XPathException

  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.